Uploaded image for project: 'JDK'
  1. JDK
  2. JDK-8191709

javapackager detects WiX 3.10 as 3.1 and fails to use WiX 3.6+ compatible code

    Details

    • Type: Bug
    • Status: Resolved
    • Priority: P4
    • Resolution: Fixed
    • Affects Version/s: 8u152, 9
    • Fix Version/s: internal
    • Component/s: tools
    • Labels:
    • Environment:

      Microsoft Windows [Version 10.0.15063]

    • Subcomponent:
    • CPU:
      x86
    • OS:
      windows_10

      Description

      From verbose output see:

      Running [C:\Program Files (x86)\WiX Toolset v3.10\bin\candle.exe, /?]
        Detected [C:\Program Files (x86)\WiX Toolset v3.10\bin\candle.exe] version [3.1]
      Running [C:\Program Files (x86)\WiX Toolset v3.10\bin\light.exe, /?]
        Detected [C:\Program Files (x86)\WiX Toolset v3.10\bin\light.exe] version [3.1]

      and the Wix 3.6 code in the .wxs file is commented out.

        Attachments

          Activity

            People

            • Assignee:
              almatvee Alexander Matveev
              Reporter:
              swpalmer Scott Palmer
            • Votes:
              0 Vote for this issue
              Watchers:
              3 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved: